AWebAbstractClipCommand.prototype = new AWebGraphicCommand();
AWebAbstractClipCommand.prototype.constructor = AWebAbstractClipCommand;
function AWebAbstractClipCommand(clipRegion) {
	AWebGraphicCommand.call(this);
	this.clipRegion = clipRegion;
}
function c0(clipRegion) { return new AWebAbstractClipCommand(clipRegion); }


AWebAbstractTransformCommand.prototype = new AWebGraphicCommand();
AWebAbstractTransformCommand.prototype.constructor = AWebAbstractTransformCommand;
function AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebGraphicCommand.call(this);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c1(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAbstractTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAddClipCommand.prototype = new AWebAbstractClipCommand();
AWebAddClipCommand.prototype.constructor = AWebAddClipCommand;
function AWebAddClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c2(clipRegion) { return new AWebAddClipCommand(clipRegion); }


AWebAddTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebAddTransformCommand.prototype.constructor = AWebAddTransformCommand;
function AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c3(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebAddTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebAlphaCompositeCommand.prototype = new AWebGraphicCommand();
AWebAlphaCompositeCommand.prototype.constructor = AWebAlphaCompositeCommand;
function AWebAlphaCompositeCommand(alpha) {
	AWebGraphicCommand.call(this);
	this.alpha = alpha;
}
function c4(alpha) { return new AWebAlphaCompositeCommand(alpha); }


AWebBrush.prototype = new Object();
AWebBrush.prototype.constructor = AWebBrush;
function AWebBrush() {
	Object.call(this);
}
function c5() { return new AWebBrush(); }


AWebBrushCommand.prototype = new AWebGraphicCommand();
AWebBrushCommand.prototype.constructor = AWebBrushCommand;
function AWebBrushCommand(brush) {
	AWebGraphicCommand.call(this);
	this.brush = brush;
}
function c6(brush) { return new AWebBrushCommand(brush); }


AWebCloseSegment.prototype = new AWebShapeSegment();
AWebCloseSegment.prototype.constructor = AWebCloseSegment;
function AWebCloseSegment() {
	AWebShapeSegment.call(this);
}
function c7() { return new AWebCloseSegment(); }


AWebCreateShapeCommand.prototype = new AWebGraphicCommand();
AWebCreateShapeCommand.prototype.constructor = AWebCreateShapeCommand;
function AWebCreateShapeCommand(shape) {
	AWebGraphicCommand.call(this);
	this.shape = shape;
}
function c8(shape) { return new AWebCreateShapeCommand(shape); }


AWebCubicToSegment.prototype = new AWebShapeSegment();
AWebCubicToSegment.prototype.constructor = AWebCubicToSegment;
function AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y) {
	AWebShapeSegment.call(this);
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
	this.point3x = point3x;
	this.point3y = point3y;
}
function c9(point1x, point1y, point2x, point2y, point3x, point3y) { return new AWebCubicToSegment(point1x, point1y, point2x, point2y, point3x, point3y); }


AWebDrawCommand.prototype = new AWebGraphicCommand();
AWebDrawCommand.prototype.constructor = AWebDrawCommand;
function AWebDrawCommand() {
	AWebGraphicCommand.call(this);
}
function c10() { return new AWebDrawCommand(); }


AWebFillCommand.prototype = new AWebGraphicCommand();
AWebFillCommand.prototype.constructor = AWebFillCommand;
function AWebFillCommand() {
	AWebGraphicCommand.call(this);
}
function c11() { return new AWebFillCommand(); }


AWebFontCommand.prototype = new AWebGraphicCommand();
AWebFontCommand.prototype.constructor = AWebFontCommand;
function AWebFontCommand(fontName, bold, italic, size) {
	AWebGraphicCommand.call(this);
	this.fontName = fontName;
	this.bold = bold;
	this.italic = italic;
	this.size = size;
}
function c12(fontName, bold, italic, size) { return new AWebFontCommand(fontName, bold, italic, size); }


AWebGradientBrush.prototype = new AWebBrush();
AWebGradientBrush.prototype.constructor = AWebGradientBrush;
function AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y) {
	AWebBrush.call(this);
	this.color1 = color1;
	this.color2 = color2;
	this.point1x = point1x;
	this.point1y = point1y;
	this.point2x = point2x;
	this.point2y = point2y;
}
function c13(color1, color2, point1x, point1y, point2x, point2y) { return new AWebGradientBrush(color1, color2, point1x, point1y, point2x, point2y); }


AWebGraphic.prototype = new Object();
AWebGraphic.prototype.constructor = AWebGraphic;
function AWebGraphic(commands, x, y, width, height, logUnitsToPixel) {
	Object.call(this);
	this.commands = commands;
	this.x = x;
	this.y = y;
	this.width = width;
	this.height = height;
	this.logUnitsToPixel = logUnitsToPixel;
}
function c14(commands, x, y, width, height, logUnitsToPixel) { return new AWebGraphic(commands, x, y, width, height, logUnitsToPixel); }


AWebGraphicCommand.prototype = new Object();
AWebGraphicCommand.prototype.constructor = AWebGraphicCommand;
function AWebGraphicCommand() {
	Object.call(this);
}
function c15() { return new AWebGraphicCommand(); }


AWebGraphicSymbol.prototype = new Object();
AWebGraphicSymbol.prototype.constructor = AWebGraphicSymbol;
function AWebGraphicSymbol(commands, width, height) {
	Object.call(this);
	this.commands = commands;
	this.width = width;
	this.height = height;
}
function c16(commands, width, height) { return new AWebGraphicSymbol(commands, width, height); }


AWebGroupingCommand.prototype = new AWebGraphicCommand();
AWebGroupingCommand.prototype.constructor = AWebGroupingCommand;
function AWebGroupingCommand(bounds, commands) {
	AWebGraphicCommand.call(this);
	this.bounds = bounds;
	this.commands = commands;
}
function c17(bounds, commands) { return new AWebGroupingCommand(bounds, commands); }


AWebImage.prototype = new Object();
AWebImage.prototype.constructor = AWebImage;
function AWebImage(pngImage) {
	Object.call(this);
	this.pngImage = pngImage;
}
function c18(pngImage) { return new AWebImage(pngImage); }


AWebImageCommand.prototype = new AWebGraphicCommand();
AWebImageCommand.prototype.constructor = AWebImageCommand;
function AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) {
	AWebGraphicCommand.call(this);
	this.dx1 = dx1;
	this.dy1 = dy1;
	this.dx2 = dx2;
	this.dy2 = dy2;
	this.sx1 = sx1;
	this.sy1 = sy1;
	this.sx2 = sx2;
	this.sy2 = sy2;
	this.image = image;
}
function c19(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image) { return new AWebImageCommand(dx1, dy1, dx2, dy2, sx1, sy1, sx2, sy2, image); }


AWebLineToSegment.prototype = new AWebShapeSegment();
AWebLineToSegment.prototype.constructor = AWebLineToSegment;
function AWebLineToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c20(pointx, pointy) { return new AWebLineToSegment(pointx, pointy); }


AWebMoveToSegment.prototype = new AWebShapeSegment();
AWebMoveToSegment.prototype.constructor = AWebMoveToSegment;
function AWebMoveToSegment(pointx, pointy) {
	AWebShapeSegment.call(this);
	this.pointx = pointx;
	this.pointy = pointy;
}
function c21(pointx, pointy) { return new AWebMoveToSegment(pointx, pointy); }


AWebPenCommand.prototype = new AWebGraphicCommand();
AWebPenCommand.prototype.constructor = AWebPenCommand;
function AWebPenCommand(width, style, color) {
	AWebGraphicCommand.call(this);
	this.width = width;
	this.style = style;
	this.color = color;
}
function c22(width, style, color) { return new AWebPenCommand(width, style, color); }




AWebPlaceSymbolCommand.prototype = new AWebGraphicCommand();
AWebPlaceSymbolCommand.prototype.constructor = AWebPlaceSymbolCommand;
function AWebPlaceSymbolCommand(positionx, positiony, symbol) {
	AWebGraphicCommand.call(this);
	this.positionx = positionx;
	this.positiony = positiony;
	this.symbol = symbol;
}
function c23(positionx, positiony, symbol) { return new AWebPlaceSymbolCommand(positionx, positiony, symbol); }


AWebSetClipCommand.prototype = new AWebAbstractClipCommand();
AWebSetClipCommand.prototype.constructor = AWebSetClipCommand;
function AWebSetClipCommand(clipRegion) {
	AWebAbstractClipCommand.call(this, clipRegion);
	this.clipRegion = clipRegion;
}
function c24(clipRegion) { return new AWebSetClipCommand(clipRegion); }


AWebSetTransformCommand.prototype = new AWebAbstractTransformCommand();
AWebSetTransformCommand.prototype.constructor = AWebSetTransformCommand;
function AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY) {
	AWebAbstractTransformCommand.call(this, scaleX, scaleY, shearX, shearY, translateX, translateY);
	this.scaleX = scaleX;
	this.scaleY = scaleY;
	this.shearX = shearX;
	this.shearY = shearY;
	this.translateX = translateX;
	this.translateY = translateY;
}
function c25(scaleX, scaleY, shearX, shearY, translateX, translateY) { return new AWebSetTransformCommand(scaleX, scaleY, shearX, shearY, translateX, translateY); }


AWebShape.prototype = new Object();
AWebShape.prototype.constructor = AWebShape;
function AWebShape(segments) {
	Object.call(this);
	this.segments = segments;
}
function c26(segments) { return new AWebShape(segments); }


AWebShapeSegment.prototype = new Object();
AWebShapeSegment.prototype.constructor = AWebShapeSegment;
function AWebShapeSegment() {
	Object.call(this);
}
function c27() { return new AWebShapeSegment(); }


AWebSolidColorBrush.prototype = new AWebBrush();
AWebSolidColorBrush.prototype.constructor = AWebSolidColorBrush;
function AWebSolidColorBrush(color) {
	AWebBrush.call(this);
	this.color = color;
}
function c28(color) { return new AWebSolidColorBrush(color); }


AWebTextCommand.prototype = new AWebGraphicCommand();
AWebTextCommand.prototype.constructor = AWebTextCommand;
function AWebTextCommand(text, positionx, positiony) {
	AWebGraphicCommand.call(this);
	this.text = text;
	this.positionx = positionx;
	this.positiony = positiony;
}
function c29(text, positionx, positiony) { return new AWebTextCommand(text, positionx, positiony); }


AWebTransparentBrush.prototype = new AWebBrush();
AWebTransparentBrush.prototype.constructor = AWebTransparentBrush;
function AWebTransparentBrush() {
	AWebBrush.call(this);
}
function c30() { return new AWebTransparentBrush(); }


var SOLID = 0;
var DASHED = 1;
var DOTTED = 2;

function create_shape0() {
var segments = [
c21(-40000,-40000),c20(40000,-40000),c20(40000,40000),c20(-40000,40000),c20(-40000,-40000),c7()];
return c26(segments);
}

function createShapes() {
	shape0 = create_shape0();
	rememberShape('shape0', shape0);
}

function createImages() {

}


function buildGraphic() {

	createImages();

	createShapes();

var commands = [c6(c28('#ffffff')),c8(shape0),c11()];
	return new AWebGraphic(commands, 0, 0, 0, 0, 0.2954);
}
function Point(x,y) {
    this.x = x;
    this.y = y;
}

function Dimension(width, height) {
    this.width = width;
    this.height = height;
}

function Rectangle(x, y, width, height) {
    this.x = x;
    this.y = y;
    this.width = width;
    this.height = height;
}

function ModelDataVersion(major, minor, revision) {
    this.major = major;
    this.minor = minor;
    this.revision = revision;
}

Rectangle.prototype = {
    containsPoint: function (p) {
        var w = this.width;
        var h = this.height;
        var x = this.x;
        var y = this.y;
        if (p.x < x || p.y < y) {
            return false;
        }

        w += x;
        h += y;
        return ((w < x || w > p.x) && (h < y || h > p.y));
    },

    intersects: function (r) {
        var tw = this.width;
        var th = this.height;
        var rw = r.width;
        var rh = r.height;
        if (rw <= 0 || rh <= 0 || tw <= 0 || th <= 0) {
            return false;
        }
        var tx = this.x;
        var ty = this.y;
        var rx = r.x;
        var ry = r.y;
        rw += rx;
        rh += ry;
        tw += tx;
        th += ty;
        //      overflow || intersect
        return ((rw < rx || rw > tx) &&
                (rh < ry || rh > ty) &&
                (tw < tx || tw > rx) &&
                (th < ty || th > ry));
    },

    containsRectangle: function (rect) {
        // code stolen from JDK
        var X = rect.x;
        var Y = rect.y;
        var W = rect.width;
        var H = rect.height;
        var w = this.width;
        var h = this.height;
        if ((w | h | W | H) < 0) {
            // At least one of the dimensions is negative...
            return false;
        }
        // Note: if any dimension is zero, tests below must return false...
        var x = this.x;
        var y = this.y;
        if (X < x || Y < y) {
            return false;
        }
        w += x;
        W += X;
        if (W <= X) {
            // X+W overflowed or W was zero, return false if...
            // either original w or W was zero or
            // x+w did not overflow or
            // the overflowed x+w is smaller than the overflowed X+W
            if (w >= x || W > w) return false;
        } else {
            // X+W did not overflow and W was not zero, return false if...
            // original w was zero or
            // x+w did not overflow and x+w is smaller than X+W
            if (w >= x && W > w) return false;
        }
        h += y;
        H += Y;
        if (H <= Y) {
            if (h >= y || H > h) return false;
        } else {
            if (h >= y && H > h) return false;
        }
        return true;
    }
};

var ALL_SHAPES = new Array();
var ALL_SYMBOLS = new Array();
var ALL_IMAGES = new Array();

function createImageFromBase64(data) {
    var image = createImage();
    image.loaded = false;
    image.onload = function() { image.loaded = true; } ;
    var url = 'data:image/png;base64,' + data;
	try {
		image.src = url;
	} catch(e) {
		// do nothing ...
	}
    image.url = url;
    ALL_IMAGES.push(image);
    return image;
}

function AImage(){
}

function createImage(){
    return false ? new AImage() : new Image();
}

function rememberShape(shapeName, shape)  {
    shape.name = shapeName;
    ALL_SHAPES.push(shape);
}

function rememberSymbol(symbol)  {
    ALL_SYMBOLS.push(symbol);
}

function getModelDataVersion() {
    return new ModelDataVersion(1, 0, 0);
}